Index: wireless__send_8c.html
===================================================================
--- wireless__send_8c.html	(revision 1822)
+++ wireless__send_8c.html	(revision 1823)
@@ -1,15 +1,19 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
-<title>Colony: wireless_send.c File Reference</title>
-<link href="tabs.css" rel="stylesheet" type="text/css">
-<link href="doxygen.css" rel="stylesheet" type="text/css">
-</head><body>
-<!-- Generated by Doxygen 1.5.8 -->
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml">
+<head>
+<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
+<title>libwireless: wireless_send.c File Reference</title>
+<link href="tabs.css" rel="stylesheet" type="text/css"/>
+<link href="doxygen.css" rel="stylesheet" type="text/css"/>
+</head>
+<body>
+<!-- Generated by Doxygen 1.6.3 -->
 <div class="navigation" id="top">
   <div class="tabs">
     <ul>
       <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
       <li><a href="modules.html"><span>Modules</span></a></li>
+      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
       <li class="current"><a href="files.html"><span>Files</span></a></li>
     </ul>
   </div>
@@ -21,47 +25,81 @@
   </div>
 </div>
 <div class="contents">
-<h1>wireless_send.c File Reference</h1>Wireless library send functions.  
-<a href="#_details">More...</a>
-<p>
-<code>#include &quot;<a class="el" href="wl__defs_8h.html">wl_defs.h</a>&quot;</code><br>
-<code>#include &quot;<a class="el" href="wireless_8h.html">wireless.h</a>&quot;</code><br>
+<h1>wireless_send.c File Reference</h1>
+<p>Wireless library send functions.  
+<a href="#_details">More...</a></p>
+<code>#include &quot;<a class="el" href="wl__defs_8h_source.html">wl_defs.h</a>&quot;</code><br/>
+<code>#include &quot;<a class="el" href="wireless_8h_source.html">wireless.h</a>&quot;</code><br/>
+<code>#include &quot;<a class="el" href="xbee_8h_source.html">xbee.h</a>&quot;</code><br/>
+<code>#include &lt;string.h&gt;</code><br/>
 <table border="0" cellpadding="0" cellspacing="0">
-<tr><td></td></tr>
-<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int16_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wireless.html#gf0c80262c96d3410bf0f1266871ffe3e">wl_send</a> (char *data, uint8_t length, uint8_t group, uint8_t scope, uint16_t dest, uint8_t mode)</td></tr>
+<tr><td colspan="2"><h2>Functions</h2></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afead005ecee5d79820a21dbd95ed2629"></a><!-- doxytag: member="wireless_send.c::setack" ref="afead005ecee5d79820a21dbd95ed2629" args="(uint8_t num, uint8_t val)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>setack</b> (uint8_t num, uint8_t val)</td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a22c53350028fb65a39b098fa56f3d5e4"></a><!-- doxytag: member="wireless_send.c::ackhandle" ref="a22c53350028fb65a39b098fa56f3d5e4" args="(uint8_t num, uint8_t val)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>ackhandle</b> (uint8_t num, uint8_t val)</td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab630bf31fa4145f12f298d23bbd0d20e"></a><!-- doxytag: member="wireless_send.c::send_buf_add" ref="ab630bf31fa4145f12f298d23bbd0d20e" args="(uint8_t *ptr, uint8_t byte)" -->
+int8_t&nbsp;</td><td class="memItemRight" valign="bottom"><b>send_buf_add</b> (uint8_t *ptr, uint8_t byte)</td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab9b5135048917a328a14d53d20ae8e01"></a><!-- doxytag: member="wireless_send.c::send_buf_get" ref="ab9b5135048917a328a14d53d20ae8e01" args="(uint8_t *ptr)" -->
+uint8_t&nbsp;</td><td class="memItemRight" valign="bottom"><b>send_buf_get</b> (uint8_t *ptr)</td></tr>
+<tr><td class="memItemLeft" align="right" valign="top">int16_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wireless.html#gaf713b6ecbf2de78139990a40fe864d5e">wl_send</a> (uint8_t *data, uint8_t length, uint8_t group, uint8_t scope, uint16_t dest, uint8_t mode)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The core send function. This will take all possible arguments and send all types of packets.  <a href="group__wireless.html#gaf713b6ecbf2de78139990a40fe864d5e"></a><br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top">int16_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wireless.html#gab0af7308304aed74eb281188b712e132">wl_send_global</a> (uint8_t *data, uint8_t length, uint8_t group)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Wrapper for core send function that will send a global packet across the current channel.  <a href="group__wireless.html#gab0af7308304aed74eb281188b712e132"></a><br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top">int16_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wireless.html#ga85cd4090dd284a4747dc8a56c1b215ad">wl_send_pan</a> (uint8_t *data, uint8_t length, uint8_t group)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Wrapper for core send function that will send a packet across the current channel on the current pan.  <a href="group__wireless.html#ga85cd4090dd284a4747dc8a56c1b215ad"></a><br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top">int16_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wireless.html#ga49160840045fda872a5e38432cc26988">wl_send_robot</a> (uint8_t *data, uint8_t length, uint8_t group, uint16_t dest, uint8_t mode)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Wrapper for core send function that will send a packet across the current channel to a specific robot.  <a href="group__wireless.html#ga49160840045fda872a5e38432cc26988"></a><br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top">int16_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wireless.html#ga226d89acb4f77a982a2167eb1773eff2">wl_send_basic</a> (uint8_t *data, uint8_t length)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default (i.e. basic) send wrapper.  <a href="group__wireless.html#ga226d89acb4f77a982a2167eb1773eff2"></a><br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top">uint8_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wireless.html#ga15c9a01839696beb05d1e4f161d968b7">wl_ack_error</a> (void)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the number of acknowledgment errors.  <a href="group__wireless.html#ga15c9a01839696beb05d1e4f161d968b7"></a><br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top">int8_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wireless.html#gaa364aa4d9cc8c789f05401e8adf44785">wl_ack_check</a> (uint8_t packet)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Checks a specific packet for the acknowledgement status.  <a href="group__wireless.html#gaa364aa4d9cc8c789f05401e8adf44785"></a><br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wireless.html#ga62e126abfcd382ec02524dd2f45a8a7b">wl_ack_reset</a> (void)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Resets acknowledgement statistics back to zero.  <a href="group__wireless.html#ga62e126abfcd382ec02524dd2f45a8a7b"></a><br/></td></tr>
+<tr><td colspan="2"><h2>Variables</h2></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top">uint8_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="wireless__send_8c.html#ac93a95b83cff02556f023bd4a8d5df63">nextframe</a> = 1</td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af53cc47aa37769ddf36a1eed476d13c3"></a><!-- doxytag: member="wireless_send.c::ack_buf" ref="af53cc47aa37769ddf36a1eed476d13c3" args="[64]" -->
+uint8_t&nbsp;</td><td class="memItemRight" valign="bottom"><b>ack_buf</b> [64]</td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5c58797eb8a7896e6b0ad6cbbc78286d"></a><!-- doxytag: member="wireless_send.c::send_buf" ref="a5c58797eb8a7896e6b0ad6cbbc78286d" args="[PACKET_BUFFER_SIZE]" -->
+uint8_t&nbsp;</td><td class="memItemRight" valign="bottom"><b>send_buf</b> [PACKET_BUFFER_SIZE]</td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a24ff15b91ddf2f1b46b36efd6ac44882"></a><!-- doxytag: member="wireless_send.c::send_buf_first" ref="a24ff15b91ddf2f1b46b36efd6ac44882" args="" -->
+uint8_t&nbsp;</td><td class="memItemRight" valign="bottom"><b>send_buf_first</b> = 0</td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad2e658cfbf1bba7351e35d9d1291d06e"></a><!-- doxytag: member="wireless_send.c::send_buf_last" ref="ad2e658cfbf1bba7351e35d9d1291d06e" args="" -->
+uint8_t&nbsp;</td><td class="memItemRight" valign="bottom"><b>send_buf_last</b> = 0</td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4597acb9e00fa21508428f6208585e5d"></a><!-- doxytag: member="wireless_send.c::send_buf_num_packets" ref="a4597acb9e00fa21508428f6208585e5d" args="" -->
+uint8_t&nbsp;</td><td class="memItemRight" valign="bottom"><b>send_buf_num_packets</b> = 0</td></tr>
+</table>
+<hr/><a name="_details"></a><h2>Detailed Description</h2>
+<p>Wireless library send functions. </p>
+<p>Copyright (c) 2009 Colony Project</p>
+<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:</p>
+<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.</p>
+<p>THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
+<p>Implementation of high level wireless communication. This is the send functions portion of the library.</p>
+<dl class="author"><dt><b>Author:</b></dt><dd>Colony Project, CMU Robotics Club </dd></dl>
+<hr/><h2>Variable Documentation</h2>
+<a class="anchor" id="ac93a95b83cff02556f023bd4a8d5df63"></a><!-- doxytag: member="wireless_send.c::nextframe" ref="ac93a95b83cff02556f023bd4a8d5df63" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">uint8_t <a class="el" href="wireless__send_8c.html#ac93a95b83cff02556f023bd4a8d5df63">nextframe</a> = 1</td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+<p>Definition for wireless library send packet structure byte 1: length of packet (from frame number to end of data) byte 2: frame number bytes 3-n: data (dest, options, frame number, group code, packet) byte n+1: num retries</p>
+<p>Definition for ack buffer 2 bit system: 0=still sending 1=OK 2=ack failure 3=CCA failure </p>
 
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int16_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wireless.html#g48e2d69b71010e23ca5c7b2de595ae4f">wl_send_global</a> (char *data, uint8_t length, uint8_t group)</td></tr>
+<p>Referenced by <a class="el" href="wireless__send_8c_source.html#l00091">wl_send()</a>.</p>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Wrapper for core send function that will send a global packet across the current channel.  <a href="group__wireless.html#g48e2d69b71010e23ca5c7b2de595ae4f"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int16_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wireless.html#gaef3438cea00f6f3d3de16d54ec33d51">wl_send_pan</a> (char *data, uint8_t length, uint8_t group)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Wrapper for core send function that will send a packet across the current channel on the current pan.  <a href="group__wireless.html#gaef3438cea00f6f3d3de16d54ec33d51"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int16_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wireless.html#g4a728d521deae8f12b9d40a62027600b">wl_send_robot</a> (char *data, uint8_t length, uint8_t group, uint16_t dest, uint8_t mode)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int16_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wireless.html#g461b4558be666fefb9bf41edfd5ea500">wl_send_basic</a> (char *data, uint8_t length)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default (i.e. basic) send wrapper.  <a href="group__wireless.html#g461b4558be666fefb9bf41edfd5ea500"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int8_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wireless.html#g11aeeac54834f0357794ae60a7513acf">wl_ack_error</a> (void)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the number of acknowledgment errors.  <a href="group__wireless.html#g11aeeac54834f0357794ae60a7513acf"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int8_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wireless.html#ga364aa4d9cc8c789f05401e8adf44785">wl_ack_check</a> (uint8_t packet)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Checks a specific packet for the acknowledgement status.  <a href="group__wireless.html#ga364aa4d9cc8c789f05401e8adf44785"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wireless.html#g62e126abfcd382ec02524dd2f45a8a7b">wl_ack_reset</a> (void)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Resets acknowledgement statistics back to zero.  <a href="group__wireless.html#g62e126abfcd382ec02524dd2f45a8a7b"></a><br></td></tr>
-</table>
-<hr><a name="_details"></a><h2>Detailed Description</h2>
-Copyright (c) 2009 Colony Project<p>
-Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:<p>
-The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.<p>
-THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.<p>
-Implementation of high level wireless communication. This is the send functions portion of the library.<p>
-<dl class="author" compact><dt><b>Author:</b></dt><dd>Colony Project, CMU Robotics Club </dd></dl>
 </div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Tue Nov 24 12:45:55 2009 for Colony by&nbsp;
+</div>
+</div>
+<hr class="footer"/><address style="text-align: right;"><small>Generated on Thu May 6 13:17:00 2010 for libwireless by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.8 </small></address>
+<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.3 </small></address>
 </body>
 </html>