Index: globals_defs.html
===================================================================
--- globals_defs.html	(revision 1822)
+++ globals_defs.html	(revision 1823)
@@ -1,15 +1,19 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
-<title>Colony: Data Fields</title>
-<link href="tabs.css" rel="stylesheet" type="text/css">
-<link href="doxygen.css" rel="stylesheet" type="text/css">
-</head><body>
-<!-- Generated by Doxygen 1.5.8 -->
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml">
+<head>
+<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
+<title>libwireless: Data Fields</title>
+<link href="tabs.css" rel="stylesheet" type="text/css"/>
+<link href="doxygen.css" rel="stylesheet" type="text/css"/>
+</head>
+<body>
+<!-- Generated by Doxygen 1.6.3 -->
 <div class="navigation" id="top">
   <div class="tabs">
     <ul>
       <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
       <li><a href="modules.html"><span>Modules</span></a></li>
+      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
       <li class="current"><a href="files.html"><span>Files</span></a></li>
     </ul>
   </div>
@@ -23,74 +27,227 @@
     <ul>
       <li><a href="globals.html"><span>All</span></a></li>
       <li><a href="globals_func.html"><span>Functions</span></a></li>
+      <li><a href="globals_vars.html"><span>Variables</span></a></li>
       <li class="current"><a href="globals_defs.html"><span>Defines</span></a></li>
     </ul>
   </div>
+  <div class="tabs">
+    <ul>
+      <li><a href="#index_a"><span>a</span></a></li>
+      <li><a href="#index_b"><span>b</span></a></li>
+      <li><a href="#index_c"><span>c</span></a></li>
+      <li><a href="#index_f"><span>f</span></a></li>
+      <li><a href="#index_g"><span>g</span></a></li>
+      <li><a href="#index_h"><span>h</span></a></li>
+      <li><a href="#index_i"><span>i</span></a></li>
+      <li><a href="#index_m"><span>m</span></a></li>
+      <li><a href="#index_n"><span>n</span></a></li>
+      <li><a href="#index_p"><span>p</span></a></li>
+      <li><a href="#index_r"><span>r</span></a></li>
+      <li><a href="#index_s"><span>s</span></a></li>
+      <li><a href="#index_w"><span>w</span></a></li>
+      <li><a href="#index_x"><span>x</span></a></li>
+    </ul>
+  </div>
 </div>
 <div class="contents">
 &nbsp;
-<p>
-<ul>
+
+<h3><a class="anchor" id="index_a">- a -</a></h3><ul>
+<li>ACK_FAILURE
+: <a class="el" href="group__wl__defines.html#gab10c348780c46ce9fdd85ff4c8a2ff82">wireless.h</a>
+</li>
+<li>ACK_OK
+: <a class="el" href="group__wl__defines.html#ga4dc7574681861c30957f3ffc1fe84f41">wireless.h</a>
+</li>
+</ul>
+
+
+<h3><a class="anchor" id="index_b">- b -</a></h3><ul>
+<li>BASIC
+: <a class="el" href="group__wl__defines.html#ga07b76b679f20134d56e04819f746fad6">wireless.h</a>
+</li>
 <li>BROADCAST
-: <a class="el" href="group__wl__defines.html#gc286e1243ab6be2c950c277e5e1377f9">wireless.h</a>
+: <a class="el" href="group__wl__defines.html#gac286e1243ab6be2c950c277e5e1377f9">wireless.h</a>
+</li>
+</ul>
+
+
+<h3><a class="anchor" id="index_c">- c -</a></h3><ul>
+<li>CCA_FAILURE
+: <a class="el" href="group__wl__defines.html#gab3a749bdf48c98c7d307775cfe0210e1">wireless.h</a>
+</li>
+</ul>
+
+
+<h3><a class="anchor" id="index_f">- f -</a></h3><ul>
 <li>FAST
-: <a class="el" href="group__wl__defines.html#g8091c2bcff55cbe0a4a145fd5fb7c22d">wireless.h</a>
+: <a class="el" href="group__wl__defines.html#ga8091c2bcff55cbe0a4a145fd5fb7c22d">wireless.h</a>
+</li>
+<li>FNPTR
+: <a class="el" href="group__wl__defines.html#ga8b522c0ddd1f87732ac08225fcc89b58">wireless.h</a>
+</li>
+<li>FUNC
+: <a class="el" href="group__wl__defines.html#ga587e21dda1f72be700a6206023ad681b">wireless.h</a>
+</li>
+</ul>
+
+
+<h3><a class="anchor" id="index_g">- g -</a></h3><ul>
 <li>GLOBAL
-: <a class="el" href="group__wl__defines.html#g3de33738fd3c7e77bffbcfaefc3e7645">wireless.h</a>
+: <a class="el" href="group__wl__defines.html#ga3de33738fd3c7e77bffbcfaefc3e7645">wireless.h</a>
+</li>
+</ul>
+
+
+<h3><a class="anchor" id="index_h">- h -</a></h3><ul>
 <li>HIGH_PRIORITY
-: <a class="el" href="group__wl__defines.html#ged801c122c559efe4677d351d07747b4">wireless.h</a>
+: <a class="el" href="group__wl__defines.html#gaed801c122c559efe4677d351d07747b4">wireless.h</a>
+</li>
+</ul>
+
+
+<h3><a class="anchor" id="index_i">- i -</a></h3><ul>
+<li>INIT_NO
+: <a class="el" href="group__wl__defines.html#ga8b043ee766380d099be83d92dc145878">wireless.h</a>
+</li>
+<li>INIT_YES
+: <a class="el" href="group__wl__defines.html#ga0c8854a00a3ee4fb44960b651ffc62b3">wireless.h</a>
+</li>
+</ul>
+
+
+<h3><a class="anchor" id="index_m">- m -</a></h3><ul>
+<li>MAX_PACKET_GROUPS
+: <a class="el" href="group__wl__defines.html#ga78906957fa456cdea5f330c8a7b119da">wireless.h</a>
+</li>
+</ul>
+
+
+<h3><a class="anchor" id="index_n">- n -</a></h3><ul>
 <li>NORMAL_PRIORITY
-: <a class="el" href="group__wl__defines.html#gfd4a10e7cb5b56dd8e5ba8e2cff7ffc3">wireless.h</a>
+: <a class="el" href="group__wl__defines.html#gafd4a10e7cb5b56dd8e5ba8e2cff7ffc3">wireless.h</a>
+</li>
+<li>NUM_RETRIES
+: <a class="el" href="group__wl__defines.html#ga17d416bf86e0b1b9adcdb92450abca63">wireless.h</a>
+</li>
+</ul>
+
+
+<h3><a class="anchor" id="index_p">- p -</a></h3><ul>
 <li>PAN
-: <a class="el" href="group__wl__defines.html#g11ed0d4e68673af6d575ed529ddf2130">wireless.h</a>
+: <a class="el" href="group__wl__defines.html#ga11ed0d4e68673af6d575ed529ddf2130">wireless.h</a>
+</li>
+<li>PORT
+: <a class="el" href="group__xbee.html#ga614217d263be1fb1a5f76e2ff7be19a2">xbee.c</a>
+</li>
+</ul>
+
+
+<h3><a class="anchor" id="index_r">- r -</a></h3><ul>
 <li>RELIABLE
-: <a class="el" href="group__wl__defines.html#g5bda06b0f5767eeca91b1383c0898c19">wireless.h</a>
+: <a class="el" href="group__wl__defines.html#ga5bda06b0f5767eeca91b1383c0898c19">wireless.h</a>
+</li>
+</ul>
+
+
+<h3><a class="anchor" id="index_s">- s -</a></h3><ul>
+<li>SENDING
+: <a class="el" href="group__wl__defines.html#gab6aaa08c0bfb6feb3e54a78d9211af56">wireless.h</a>
+</li>
+</ul>
+
+
+<h3><a class="anchor" id="index_w">- w -</a></h3><ul>
 <li>WL_ERROR_ADDRESS
-: <a class="el" href="group__wl__error.html#g9c528907279e6ace3aae7a7b19ad7687">wl_defs.h</a>
+: <a class="el" href="group__wl__error.html#ga9c528907279e6ace3aae7a7b19ad7687">wl_defs.h</a>
+</li>
 <li>WL_ERROR_ARGUMENT
-: <a class="el" href="group__wl__error.html#g43f851eae7eed2576351d336001c21d2">wl_defs.h</a>
+: <a class="el" href="group__wl__error.html#ga43f851eae7eed2576351d336001c21d2">wl_defs.h</a>
+</li>
 <li>WL_ERROR_BAD_GROUP
-: <a class="el" href="group__wl__error.html#g4bffaed18853133c76af57b89771b234">wl_defs.h</a>
+: <a class="el" href="group__wl__error.html#ga4bffaed18853133c76af57b89771b234">wl_defs.h</a>
+</li>
+<li>WL_ERROR_BAUD
+: <a class="el" href="group__wl__error.html#ga35522d85bcb3ce7e1f0649ed8880a47a">wl_defs.h</a>
+</li>
 <li>WL_ERROR_FAILED_REGISTRATION
-: <a class="el" href="group__wl__error.html#g11477a5a024fd6898e4449bf08761207">wl_defs.h</a>
+: <a class="el" href="group__wl__error.html#ga11477a5a024fd6898e4449bf08761207">wl_defs.h</a>
+</li>
+<li>WL_ERROR_FAILED_UNREGISTRATION
+: <a class="el" href="group__wl__error.html#ga2b221412880d805da1f9eb735ce7869f">wl_defs.h</a>
+</li>
 <li>WL_ERROR_INIT_ALREADY_INITD
-: <a class="el" href="group__wl__error.html#g63e64a790913362ecf505e1a7e8347b8">wl_defs.h</a>
+: <a class="el" href="group__wl__error.html#ga63e64a790913362ecf505e1a7e8347b8">wl_defs.h</a>
+</li>
 <li>WL_ERROR_INIT_FAILED
-: <a class="el" href="group__wl__error.html#g798466231ef137f248b55dbfbce36fd7">wl_defs.h</a>
+: <a class="el" href="group__wl__error.html#ga798466231ef137f248b55dbfbce36fd7">wl_defs.h</a>
+</li>
 <li>WL_ERROR_LIBRARY_NOT_INITD
-: <a class="el" href="group__wl__error.html#g099f03f9edae294ce4989433f73c141e">wl_defs.h</a>
+: <a class="el" href="group__wl__error.html#ga099f03f9edae294ce4989433f73c141e">wl_defs.h</a>
+</li>
 <li>WL_ERROR_MODE
-: <a class="el" href="group__wl__error.html#g33881dd2ec8ad0c2f67e40491a2f7c1a">wl_defs.h</a>
+: <a class="el" href="group__wl__error.html#ga33881dd2ec8ad0c2f67e40491a2f7c1a">wl_defs.h</a>
+</li>
 <li>WL_ERROR_SCOPE
-: <a class="el" href="group__wl__error.html#g76d08a0e32732a63dc93d2cdf95c8fd0">wl_defs.h</a>
+: <a class="el" href="group__wl__error.html#ga76d08a0e32732a63dc93d2cdf95c8fd0">wl_defs.h</a>
+</li>
 <li>WL_ERROR_SEND
-: <a class="el" href="group__wl__error.html#g2a775d59e55e9435505b4a908c522a0a">wl_defs.h</a>
+: <a class="el" href="group__wl__error.html#ga2a775d59e55e9435505b4a908c522a0a">wl_defs.h</a>
+</li>
+<li>WL_ERROR_SENDING_BUFFER_FULL
+: <a class="el" href="group__wl__error.html#ga39b25b343987ddbabbf378525ed17e8f">wl_defs.h</a>
+</li>
 <li>WL_ERROR_TERMINATION_FAILED
-: <a class="el" href="group__wl__error.html#g54de37a8427bf7372cfefa925cd0acf6">wl_defs.h</a>
+: <a class="el" href="group__wl__error.html#ga54de37a8427bf7372cfefa925cd0acf6">wl_defs.h</a>
+</li>
+<li>WL_ERROR_TOO_SMALL
+: <a class="el" href="group__wl__error.html#gacad84a598557eaf3ae400f7fdb4cf6c0">wl_defs.h</a>
+</li>
+<li>WL_ERROR_XBEE_COMMAND
+: <a class="el" href="group__wl__error.html#ga95320a2338e465077c708a7b50b20c9a">wl_defs.h</a>
+</li>
+<li>WL_ERROR_XBEE_COMMAND_16BIT
+: <a class="el" href="group__wl__error.html#ga029f22a1c6b7308a7a9db2ee7490a4f0">wl_defs.h</a>
+</li>
 <li>WL_SUCCESS
-: <a class="el" href="group__wl__error.html#g2b8a799ce85bb21788e58e1c23c16fc0">wl_defs.h</a>
+: <a class="el" href="group__wl__error.html#ga2b8a799ce85bb21788e58e1c23c16fc0">wl_defs.h</a>
+</li>
+</ul>
+
+
+<h3><a class="anchor" id="index_x">- x -</a></h3><ul>
+<li>XBEE_BAUD
+: <a class="el" href="group__xbee__const.html#ga7125fc8f3df24a2db8e074983206b054">xbee.h</a>
+</li>
 <li>XBEE_BROADCAST
-: <a class="el" href="group__xbee__const.html#g93bbd21f7965e1697350f950cedff5c4">xbee.c</a>
+: <a class="el" href="group__xbee__const.html#ga93bbd21f7965e1697350f950cedff5c4">xbee.h</a>
+</li>
 <li>XBEE_CHANNEL_DEFAULT
-: <a class="el" href="group__xbee__const.html#g35f8b9d8e01e788f1e29928cba29f215">xbee.c</a>
+: <a class="el" href="group__xbee__const.html#ga35f8b9d8e01e788f1e29928cba29f215">xbee.h</a>
+</li>
 <li>XBEE_OPTIONS_BROADCAST_ALL_PANS
-: <a class="el" href="group__xbee__const.html#g57382f888360b5b19f0de3b6f1f7c5a3">xbee.c</a>
+: <a class="el" href="group__xbee__const.html#ga57382f888360b5b19f0de3b6f1f7c5a3">xbee.h</a>
+</li>
 <li>XBEE_OPTIONS_DISABLE_RESPONSE
-: <a class="el" href="group__xbee__const.html#gcf9509013302590dca5ce3db63c64609">xbee.c</a>
+: <a class="el" href="group__xbee__const.html#gacf9509013302590dca5ce3db63c64609">xbee.h</a>
+</li>
 <li>XBEE_OPTIONS_NONE
-: <a class="el" href="group__xbee__const.html#gbca7356c2b8183fd41b5ca9a82dd962b">xbee.c</a>
+: <a class="el" href="group__xbee__const.html#gabca7356c2b8183fd41b5ca9a82dd962b">xbee.h</a>
+</li>
 <li>XBEE_PAN_DEFAULT
-: <a class="el" href="group__xbee__const.html#ge6bb9bb274d6750f954762454807a5a7">xbee.c</a>
-<li>XBEE_PORT_DEFAULT
-: <a class="el" href="group__xbee__const.html#gfd0466c206d7e1f82ee407d114468e96">xbee.c</a>
+: <a class="el" href="group__xbee__const.html#gae6bb9bb274d6750f954762454807a5a7">xbee.h</a>
+</li>
 <li>XBEE_RX
-: <a class="el" href="group__xbee__const.html#gc2b1262a3a1eb4a9f7ead366af71c32c">xbee.c</a>
+: <a class="el" href="group__xbee__const.html#gac2b1262a3a1eb4a9f7ead366af71c32c">xbee.h</a>
+</li>
 <li>XBEE_TX_STATUS
-: <a class="el" href="group__xbee__const.html#g7840d8b64c8bec12d8b8d32e845a638a">xbee.c</a>
+: <a class="el" href="group__xbee__const.html#ga7840d8b64c8bec12d8b8d32e845a638a">xbee.h</a>
+</li>
 </ul>
 </div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Tue Nov 24 12:45:55 2009 for Colony by&nbsp;
+<hr class="footer"/><address style="text-align: right;"><small>Generated on Thu May 6 13:17:00 2010 for libwireless by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.8 </small></address>
+<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.3 </small></address>
 </body>
 </html>