Index: globals_func.html
===================================================================
--- globals_func.html	(revision 1822)
+++ globals_func.html	(revision 1823)
@@ -1,15 +1,19 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
-<title>Colony: Data Fields</title>
-<link href="tabs.css" rel="stylesheet" type="text/css">
-<link href="doxygen.css" rel="stylesheet" type="text/css">
-</head><body>
-<!-- Generated by Doxygen 1.5.8 -->
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml">
+<head>
+<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
+<title>libwireless: Data Fields</title>
+<link href="tabs.css" rel="stylesheet" type="text/css"/>
+<link href="doxygen.css" rel="stylesheet" type="text/css"/>
+</head>
+<body>
+<!-- Generated by Doxygen 1.6.3 -->
 <div class="navigation" id="top">
   <div class="tabs">
     <ul>
       <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
       <li><a href="modules.html"><span>Modules</span></a></li>
+      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
       <li class="current"><a href="files.html"><span>Files</span></a></li>
     </ul>
   </div>
@@ -23,11 +27,14 @@
     <ul>
       <li><a href="globals.html"><span>All</span></a></li>
       <li class="current"><a href="globals_func.html"><span>Functions</span></a></li>
+      <li><a href="globals_vars.html"><span>Variables</span></a></li>
       <li><a href="globals_defs.html"><span>Defines</span></a></li>
     </ul>
   </div>
   <div class="tabs">
     <ul>
+      <li><a href="#index_c"><span>c</span></a></li>
+      <li><a href="#index_g"><span>g</span></a></li>
       <li><a href="#index_w"><span>w</span></a></li>
       <li><a href="#index_x"><span>x</span></a></li>
     </ul>
@@ -35,80 +42,153 @@
 </div>
 <div class="contents">
 &nbsp;
-<p>
-<h3><a class="anchor" name="index_w">- w -</a></h3><ul>
+
+<h3><a class="anchor" id="index_c">- c -</a></h3><ul>
+<li>check_last_receive()
+: <a class="el" href="group__xbee.html#ga335b40b15f89a8a0d26db9226812914e">xbee.c</a>
+</li>
+</ul>
+
+
+<h3><a class="anchor" id="index_g">- g -</a></h3><ul>
+<li>getStatus()
+: <a class="el" href="group__xbee.html#ga8a4c7ae8201a7ca230fdb47bfa13d044">xbee.c</a>
+</li>
+</ul>
+
+
+<h3><a class="anchor" id="index_w">- w -</a></h3><ul>
 <li>wl_ack_check()
-: <a class="el" href="group__wl__functions.html#ga364aa4d9cc8c789f05401e8adf44785">wireless.h</a>
-, <a class="el" href="group__wireless.html#ga364aa4d9cc8c789f05401e8adf44785">wireless_send.c</a>
+: <a class="el" href="group__wl__functions.html#gaa364aa4d9cc8c789f05401e8adf44785">wireless.h</a>
+, <a class="el" href="group__wireless.html#gaa364aa4d9cc8c789f05401e8adf44785">wireless_send.c</a>
+</li>
 <li>wl_ack_error()
-: <a class="el" href="group__wireless.html#g11aeeac54834f0357794ae60a7513acf">wireless_send.c</a>
-, <a class="el" href="group__wl__functions.html#g11aeeac54834f0357794ae60a7513acf">wireless.h</a>
+: <a class="el" href="group__wireless.html#ga15c9a01839696beb05d1e4f161d968b7">wireless_send.c</a>
+, <a class="el" href="group__wl__functions.html#ga15c9a01839696beb05d1e4f161d968b7">wireless.h</a>
+</li>
 <li>wl_ack_reset()
-: <a class="el" href="group__wl__functions.html#g62e126abfcd382ec02524dd2f45a8a7b">wireless.h</a>
-, <a class="el" href="group__wireless.html#g62e126abfcd382ec02524dd2f45a8a7b">wireless_send.c</a>
+: <a class="el" href="group__wl__functions.html#ga62e126abfcd382ec02524dd2f45a8a7b">wireless.h</a>
+, <a class="el" href="group__wireless.html#ga62e126abfcd382ec02524dd2f45a8a7b">wireless_send.c</a>
+</li>
 <li>wl_dispatch()
-: <a class="el" href="group__wireless.html#ge91c1e1940dfbbd063fdcfb86049c64a">wireless_receive.c</a>
-, <a class="el" href="group__wl__functions.html#ge91c1e1940dfbbd063fdcfb86049c64a">wireless.h</a>
+: <a class="el" href="group__wireless.html#gae91c1e1940dfbbd063fdcfb86049c64a">wireless_receive.c</a>
+, <a class="el" href="group__wl__functions.html#gae91c1e1940dfbbd063fdcfb86049c64a">wireless.h</a>
+</li>
 <li>wl_get()
-: <a class="el" href="group__wl__functions.html#ga5a965e3443e4b2b60243225c50ecca7">wireless.h</a>
-, <a class="el" href="group__wireless.html#ga5a965e3443e4b2b60243225c50ecca7">wireless_receive.c</a>
+: <a class="el" href="group__wl__functions.html#gaa5a965e3443e4b2b60243225c50ecca7">wireless.h</a>
+, <a class="el" href="group__wireless.html#gaa5a965e3443e4b2b60243225c50ecca7">wireless_receive.c</a>
+</li>
 <li>wl_get_basic()
-: <a class="el" href="group__wl__functions.html#ge2509e2b6bc61faa26d87b1d87881817">wireless.h</a>
-, <a class="el" href="group__wireless.html#ge2509e2b6bc61faa26d87b1d87881817">wireless_receive.c</a>
+: <a class="el" href="group__wl__functions.html#gae2509e2b6bc61faa26d87b1d87881817">wireless.h</a>
+, <a class="el" href="group__wireless.html#gae2509e2b6bc61faa26d87b1d87881817">wireless_receive.c</a>
+</li>
 <li>wl_init()
-: <a class="el" href="group__wireless.html#g6a8d6179b1fe27f762937f0b47af2009">wireless.c</a>
-, <a class="el" href="group__wl__functions.html#g6a8d6179b1fe27f762937f0b47af2009">wireless.h</a>
+: <a class="el" href="group__wireless.html#ga6a8d6179b1fe27f762937f0b47af2009">wireless.c</a>
+, <a class="el" href="group__wl__functions.html#ga6a8d6179b1fe27f762937f0b47af2009">wireless.h</a>
+</li>
 <li>wl_register_handler()
-: <a class="el" href="group__wl__functions.html#g8af34a6265a5d6af3a1525bb51e61d54">wireless.h</a>
-, <a class="el" href="group__wireless.html#g8af34a6265a5d6af3a1525bb51e61d54">wireless.c</a>
+: <a class="el" href="group__wl__functions.html#ga7aa57c04f65ff3c8fec591248ab82f86">wireless.h</a>
+, <a class="el" href="group__wireless.html#ga7aa57c04f65ff3c8fec591248ab82f86">wireless.c</a>
+</li>
 <li>wl_send()
-: <a class="el" href="group__wl__functions.html#gaa4e0d7014a74d0d59c08f9fbbf40bd7">wireless.h</a>
-, <a class="el" href="group__wireless.html#gf0c80262c96d3410bf0f1266871ffe3e">wireless_send.c</a>
+: <a class="el" href="group__wl__functions.html#gaf713b6ecbf2de78139990a40fe864d5e">wireless.h</a>
+, <a class="el" href="group__wireless.html#gaf713b6ecbf2de78139990a40fe864d5e">wireless_send.c</a>
+</li>
 <li>wl_send_basic()
-: <a class="el" href="group__wl__functions.html#ga8fb657e4d3bf7cb396f36e99fdd01a0">wireless.h</a>
-, <a class="el" href="group__wireless.html#g461b4558be666fefb9bf41edfd5ea500">wireless_send.c</a>
+: <a class="el" href="group__wireless.html#ga226d89acb4f77a982a2167eb1773eff2">wireless_send.c</a>
+, <a class="el" href="group__wl__functions.html#ga226d89acb4f77a982a2167eb1773eff2">wireless.h</a>
+</li>
 <li>wl_send_global()
-: <a class="el" href="group__wl__functions.html#gd92093466d82f3f0c732ffe8323228d2">wireless.h</a>
-, <a class="el" href="group__wireless.html#g48e2d69b71010e23ca5c7b2de595ae4f">wireless_send.c</a>
+: <a class="el" href="group__wl__functions.html#gab0af7308304aed74eb281188b712e132">wireless.h</a>
+, <a class="el" href="group__wireless.html#gab0af7308304aed74eb281188b712e132">wireless_send.c</a>
+</li>
 <li>wl_send_pan()
-: <a class="el" href="group__wl__functions.html#g7886c2a37b7350211699dcabe48ff076">wireless.h</a>
-, <a class="el" href="group__wireless.html#gaef3438cea00f6f3d3de16d54ec33d51">wireless_send.c</a>
+: <a class="el" href="group__wl__functions.html#ga85cd4090dd284a4747dc8a56c1b215ad">wireless.h</a>
+, <a class="el" href="group__wireless.html#ga85cd4090dd284a4747dc8a56c1b215ad">wireless_send.c</a>
+</li>
 <li>wl_send_robot()
-: <a class="el" href="group__wireless.html#g4a728d521deae8f12b9d40a62027600b">wireless_send.c</a>
-, <a class="el" href="group__wl__functions.html#gbb08f7957bd0256c51f424fa770d3e60">wireless.h</a>
+: <a class="el" href="group__wl__functions.html#ga49160840045fda872a5e38432cc26988">wireless.h</a>
+, <a class="el" href="group__wireless.html#ga49160840045fda872a5e38432cc26988">wireless_send.c</a>
+</li>
 <li>wl_terminate()
-: <a class="el" href="group__wl__functions.html#g223f437c2bc8ab8a3ac2e0e06841120f">wireless.h</a>
-, <a class="el" href="group__wireless.html#g223f437c2bc8ab8a3ac2e0e06841120f">wireless.c</a>
+: <a class="el" href="group__wl__functions.html#ga223f437c2bc8ab8a3ac2e0e06841120f">wireless.h</a>
+, <a class="el" href="group__wireless.html#ga223f437c2bc8ab8a3ac2e0e06841120f">wireless.c</a>
+</li>
+<li>wl_unregister_handler()
+: <a class="el" href="group__wireless.html#ga376508d5682b1b8c88ef8b5f911a3367">wireless.c</a>
+, <a class="el" href="group__wl__functions.html#ga376508d5682b1b8c88ef8b5f911a3367">wireless.h</a>
+</li>
 </ul>
-<h3><a class="anchor" name="index_x">- x -</a></h3><ul>
+
+
+<h3><a class="anchor" id="index_x">- x -</a></h3><ul>
+<li>xbee_checksum_add()
+: <a class="el" href="group__xbee.html#ga2eb96c49811a1d9f2ccd1e1186915077">xbee.c</a>
+, <a class="el" href="group__xbee__funcs.html#ga2eb96c49811a1d9f2ccd1e1186915077">xbee.h</a>
+</li>
 <li>xbee_get_address()
-: <a class="el" href="group__xbee.html#g7c53e8a8492494a61ca306875d633309">xbee.c</a>
+: <a class="el" href="group__xbee__funcs.html#ga24d751120f5cded06a70d156c29261fc">xbee.h</a>
+, <a class="el" href="group__xbee.html#ga24d751120f5cded06a70d156c29261fc">xbee.c</a>
+</li>
 <li>xbee_get_channel()
-: <a class="el" href="group__xbee.html#g133706db81f69ba0a3c169b7a3f42d2a">xbee.c</a>
-<li>xbee_get_packet()
-: <a class="el" href="group__xbee.html#g00fbdd9d849171588df736f8b608589d">xbee.c</a>
-<li>xbee_get_pan_id()
-: <a class="el" href="group__xbee.html#g7755cd8db87703c9e9943153660b8052">xbee.c</a>
-<li>xbee_lib_init()
-: <a class="el" href="group__xbee.html#g3d5fbb6aae8dda99240ec38108a645af">xbee.c</a>
+: <a class="el" href="group__xbee.html#ga319d4bccd5e6b09d2f377d2170104817">xbee.c</a>
+, <a class="el" href="group__xbee__funcs.html#ga319d4bccd5e6b09d2f377d2170104817">xbee.h</a>
+</li>
+<li>xbee_get_pan()
+: <a class="el" href="group__xbee__funcs.html#ga76e60575b236342945b6a69bbe42df9f">xbee.h</a>
+, <a class="el" href="group__xbee.html#gaa740c59073c6db9e00a2a2de10a95091">xbee.c</a>
+</li>
+<li>xbee_getc()
+: <a class="el" href="group__xbee.html#ga409ff62ddd9e22eaf745a50f688263fd">xbee.c</a>
+</li>
+<li>xbee_getc_nb()
+: <a class="el" href="group__xbee.html#gae564a6f5453934b0234a054fbc238fd3">xbee.c</a>
+</li>
+<li>xbee_init()
+: <a class="el" href="group__xbee.html#ga31a4df97d6865a40123337045109b9f1">xbee.c</a>
+, <a class="el" href="group__xbee__funcs.html#ga35f6f209aee59fad0490a961587e014a">xbee.h</a>
+</li>
+<li>xbee_putc()
+: <a class="el" href="group__xbee.html#gaf29617dd4988f4b056f9476004ae5cbf">xbee.c</a>
+</li>
 <li>xbee_reset()
-: <a class="el" href="group__xbee.html#gfcfccfa7323041108202275eba913be7">xbee.h</a>
+: <a class="el" href="group__xbee__funcs.html#gacf9354ba8b49419b6286e1318e87aa41">xbee.h</a>
+</li>
+<li>xbee_send()
+: <a class="el" href="group__xbee__funcs.html#ga5805e267e3b6f4b7bdad7aa6dc65ee04">xbee.h</a>
+, <a class="el" href="group__xbee.html#ga5805e267e3b6f4b7bdad7aa6dc65ee04">xbee.c</a>
+</li>
+<li>xbee_send_header()
+: <a class="el" href="group__xbee.html#ga2a39ffce83d65d22aeefb41dfce2112f">xbee.c</a>
+, <a class="el" href="group__xbee__funcs.html#ga2a39ffce83d65d22aeefb41dfce2112f">xbee.h</a>
+</li>
 <li>xbee_send_packet()
-: <a class="el" href="group__xbee.html#g7c44bc25fda954efde574ee8d735073c">xbee.c</a>
+: <a class="el" href="group__xbee__funcs.html#gaae54f7208cfa786cb56d4d78ab3ceffe">xbee.h</a>
+, <a class="el" href="group__xbee.html#gaae54f7208cfa786cb56d4d78ab3ceffe">xbee.c</a>
+</li>
 <li>xbee_send_read_at_command()
-: <a class="el" href="group__xbee.html#g2fbd69862a11b6bcc5cfdb9f182bcdb9">xbee.c</a>
+: <a class="el" href="group__xbee.html#ga2694f3530e4cf256ff9e96600aea753c">xbee.c</a>
+</li>
+<li>xbee_sendc()
+: <a class="el" href="group__xbee.html#gae75ee9a54a5811b8bc302dc2d70f0215">xbee.c</a>
+, <a class="el" href="group__xbee__funcs.html#gae75ee9a54a5811b8bc302dc2d70f0215">xbee.h</a>
+</li>
 <li>xbee_set_channel()
-: <a class="el" href="group__xbee.html#gb93170c493c5cdfd43a7b640c6ed1d14">xbee.c</a>
-<li>xbee_set_com_port()
-: <a class="el" href="group__xbee.html#g1e9e3c2abf0ff683ca8e591c3851cf0a">xbee.c</a>
-<li>xbee_set_pan_id()
-: <a class="el" href="group__xbee.html#gde50cbefd7ba8d7361ce2654a298748b">xbee.c</a>
+: <a class="el" href="group__xbee__funcs.html#ga4f67630ca81e5eae064bb58c3818d3fd">xbee.h</a>
+, <a class="el" href="group__xbee.html#ga4f67630ca81e5eae064bb58c3818d3fd">xbee.c</a>
+</li>
+<li>xbee_set_pan()
+: <a class="el" href="group__xbee.html#gadbcb9cc8cf6afa28e6de8defb33f8196">xbee.c</a>
+, <a class="el" href="group__xbee__funcs.html#gadbcb9cc8cf6afa28e6de8defb33f8196">xbee.h</a>
+</li>
 <li>xbee_terminate()
-: <a class="el" href="group__xbee.html#g9334ac71dca1ddd697b1a35a361ade6a">xbee.c</a>
+: <a class="el" href="group__xbee.html#ga3fe446135ba896e6438a4fcd67154119">xbee.c</a>
+, <a class="el" href="group__xbee__funcs.html#ga0b4c25c76efbe397decacefced00e06c">xbee.h</a>
+</li>
 </ul>
 </div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Tue Nov 24 12:45:55 2009 for Colony by&nbsp;
+<hr class="footer"/><address style="text-align: right;"><small>Generated on Thu May 6 13:17:00 2010 for libwireless by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.8 </small></address>
+<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.3 </small></address>
 </body>
 </html>