Index: group__xbee__const.html
===================================================================
--- group__xbee__const.html	(revision 1822)
+++ group__xbee__const.html	(revision 1823)
@@ -1,104 +1,89 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
-<title>Colony: xbee constants</title>
-<link href="tabs.css" rel="stylesheet" type="text/css">
-<link href="doxygen.css" rel="stylesheet" type="text/css">
-</head><body>
-<!-- Generated by Doxygen 1.5.8 -->
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml">
+<head>
+<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
+<title>libwireless: xbee constants</title>
+<link href="tabs.css" rel="stylesheet" type="text/css"/>
+<link href="doxygen.css" rel="stylesheet" type="text/css"/>
+</head>
+<body>
+<!-- Generated by Doxygen 1.6.3 -->
 <div class="navigation" id="top">
   <div class="tabs">
     <ul>
       <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
       <li><a href="modules.html"><span>Modules</span></a></li>
+      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
       <li><a href="files.html"><span>Files</span></a></li>
     </ul>
   </div>
 </div>
 <div class="contents">
-<h1>xbee constants<br>
+<h1>xbee constants<br/>
 <small>
 [<a class="el" href="group__xbee.html">XBee</a>]</small>
-</h1><table border="0" cellpadding="0" cellspacing="0">
-<tr><td></td></tr>
-<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="gfd0466c206d7e1f82ee407d114468e96"></a><!-- doxytag: member="xbee_const::XBEE_PORT_DEFAULT" ref="gfd0466c206d7e1f82ee407d114468e96" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__xbee__const.html#gfd0466c206d7e1f82ee407d114468e96">XBEE_PORT_DEFAULT</a>&nbsp;&nbsp;&nbsp;&quot;/dev/ttyUSB1&quot;</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The port to use the XBee from on the computer. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g63d0ecb125d464ea34524e090648f70f"></a><!-- doxytag: member="xbee_const::XBEE_BUFFER_SIZE" ref="g63d0ecb125d464ea34524e090648f70f" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><b>XBEE_BUFFER_SIZE</b>&nbsp;&nbsp;&nbsp;128</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="gb30af815d6e9494361629440f14e3716"></a><!-- doxytag: member="xbee_const::PACKET_BUFFER_SIZE" ref="gb30af815d6e9494361629440f14e3716" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><b>PACKET_BUFFER_SIZE</b>&nbsp;&nbsp;&nbsp;108</td></tr>
-
-<tr><td colspan="2"><br><h2>xbee options</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ge6bb9bb274d6750f954762454807a5a7"></a><!-- doxytag: member="xbee_const::XBEE_PAN_DEFAULT" ref="ge6bb9bb274d6750f954762454807a5a7" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__xbee__const.html#ge6bb9bb274d6750f954762454807a5a7">XBEE_PAN_DEFAULT</a>&nbsp;&nbsp;&nbsp;0xFFFF</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unset PAN, uses XBee default. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g35f8b9d8e01e788f1e29928cba29f215"></a><!-- doxytag: member="xbee_const::XBEE_CHANNEL_DEFAULT" ref="g35f8b9d8e01e788f1e29928cba29f215" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__xbee__const.html#g35f8b9d8e01e788f1e29928cba29f215">XBEE_CHANNEL_DEFAULT</a>&nbsp;&nbsp;&nbsp;0</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unset channel, uses XBee default. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g93bbd21f7965e1697350f950cedff5c4"></a><!-- doxytag: member="xbee_const::XBEE_BROADCAST" ref="g93bbd21f7965e1697350f950cedff5c4" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__xbee__const.html#g93bbd21f7965e1697350f950cedff5c4">XBEE_BROADCAST</a>&nbsp;&nbsp;&nbsp;0xFFFF</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Broadcast to all robots in the PAN. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="gbca7356c2b8183fd41b5ca9a82dd962b"></a><!-- doxytag: member="xbee_const::XBEE_OPTIONS_NONE" ref="gbca7356c2b8183fd41b5ca9a82dd962b" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__xbee__const.html#gbca7356c2b8183fd41b5ca9a82dd962b">XBEE_OPTIONS_NONE</a>&nbsp;&nbsp;&nbsp;0x00</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">No special options. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="gcf9509013302590dca5ce3db63c64609"></a><!-- doxytag: member="xbee_const::XBEE_OPTIONS_DISABLE_RESPONSE" ref="gcf9509013302590dca5ce3db63c64609" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__xbee__const.html#gcf9509013302590dca5ce3db63c64609">XBEE_OPTIONS_DISABLE_RESPONSE</a>&nbsp;&nbsp;&nbsp;0x01</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Do not receive a TX_STATUS message from this packet. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g57382f888360b5b19f0de3b6f1f7c5a3"></a><!-- doxytag: member="xbee_const::XBEE_OPTIONS_BROADCAST_ALL_PANS" ref="g57382f888360b5b19f0de3b6f1f7c5a3" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__xbee__const.html#g57382f888360b5b19f0de3b6f1f7c5a3">XBEE_OPTIONS_BROADCAST_ALL_PANS</a>&nbsp;&nbsp;&nbsp;0x04</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Send the packet to all PANS. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g7840d8b64c8bec12d8b8d32e845a638a"></a><!-- doxytag: member="xbee_const::XBEE_TX_STATUS" ref="g7840d8b64c8bec12d8b8d32e845a638a" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__xbee__const.html#g7840d8b64c8bec12d8b8d32e845a638a">XBEE_TX_STATUS</a>&nbsp;&nbsp;&nbsp;0x89</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A transmit status packet. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="gc2b1262a3a1eb4a9f7ead366af71c32c"></a><!-- doxytag: member="xbee_const::XBEE_RX" ref="gc2b1262a3a1eb4a9f7ead366af71c32c" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__xbee__const.html#gc2b1262a3a1eb4a9f7ead366af71c32c">XBEE_RX</a>&nbsp;&nbsp;&nbsp;0x81</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A packet received from another XBee. <br></td></tr>
-<tr><td colspan="2"><br><h2>xbee frame types</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g72aa42b35714e06ac26df31b06a8bf39"></a><!-- doxytag: member="xbee_const::XBEE_FRAME_START" ref="g72aa42b35714e06ac26df31b06a8bf39" args="" -->
+</h1>
+<p>These are constants used for the xbee module.  
+<a href="#_details">More...</a></p>
+<table border="0" cellpadding="0" cellspacing="0">
+<tr><td colspan="2"><h2>Defines</h2></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga7125fc8f3df24a2db8e074983206b054"></a><!-- doxytag: member="xbee_const::XBEE_BAUD" ref="ga7125fc8f3df24a2db8e074983206b054" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__xbee__const.html#ga7125fc8f3df24a2db8e074983206b054">XBEE_BAUD</a>&nbsp;&nbsp;&nbsp;9600</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The XBee baud rate. <br/></td></tr>
+<tr><td colspan="2"><h2>xbee options</h2></td></tr>
+<tr><td colspan="2"><p><a class="anchor" id="amgrp0014d6a1d613fbff74082710cdb428d7"></a> </p>
+<br/><br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gae6bb9bb274d6750f954762454807a5a7"></a><!-- doxytag: member="xbee_const::XBEE_PAN_DEFAULT" ref="gae6bb9bb274d6750f954762454807a5a7" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__xbee__const.html#gae6bb9bb274d6750f954762454807a5a7">XBEE_PAN_DEFAULT</a>&nbsp;&nbsp;&nbsp;0xFFFF</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unset PAN, uses XBee default. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga35f8b9d8e01e788f1e29928cba29f215"></a><!-- doxytag: member="xbee_const::XBEE_CHANNEL_DEFAULT" ref="ga35f8b9d8e01e788f1e29928cba29f215" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__xbee__const.html#ga35f8b9d8e01e788f1e29928cba29f215">XBEE_CHANNEL_DEFAULT</a>&nbsp;&nbsp;&nbsp;0</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unset channel, uses XBee default. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga93bbd21f7965e1697350f950cedff5c4"></a><!-- doxytag: member="xbee_const::XBEE_BROADCAST" ref="ga93bbd21f7965e1697350f950cedff5c4" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__xbee__const.html#ga93bbd21f7965e1697350f950cedff5c4">XBEE_BROADCAST</a>&nbsp;&nbsp;&nbsp;0xFFFF</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Broadcast to all robots in the PAN. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gabca7356c2b8183fd41b5ca9a82dd962b"></a><!-- doxytag: member="xbee_const::XBEE_OPTIONS_NONE" ref="gabca7356c2b8183fd41b5ca9a82dd962b" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__xbee__const.html#gabca7356c2b8183fd41b5ca9a82dd962b">XBEE_OPTIONS_NONE</a>&nbsp;&nbsp;&nbsp;0x00</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">No special options. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gacf9509013302590dca5ce3db63c64609"></a><!-- doxytag: member="xbee_const::XBEE_OPTIONS_DISABLE_RESPONSE" ref="gacf9509013302590dca5ce3db63c64609" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__xbee__const.html#gacf9509013302590dca5ce3db63c64609">XBEE_OPTIONS_DISABLE_RESPONSE</a>&nbsp;&nbsp;&nbsp;0x01</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Do not receive a TX_STATUS message from this packet. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga57382f888360b5b19f0de3b6f1f7c5a3"></a><!-- doxytag: member="xbee_const::XBEE_OPTIONS_BROADCAST_ALL_PANS" ref="ga57382f888360b5b19f0de3b6f1f7c5a3" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__xbee__const.html#ga57382f888360b5b19f0de3b6f1f7c5a3">XBEE_OPTIONS_BROADCAST_ALL_PANS</a>&nbsp;&nbsp;&nbsp;0x04</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Send the packet to all PANS. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga7840d8b64c8bec12d8b8d32e845a638a"></a><!-- doxytag: member="xbee_const::XBEE_TX_STATUS" ref="ga7840d8b64c8bec12d8b8d32e845a638a" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__xbee__const.html#ga7840d8b64c8bec12d8b8d32e845a638a">XBEE_TX_STATUS</a>&nbsp;&nbsp;&nbsp;0x89</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A transmit status packet. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gac2b1262a3a1eb4a9f7ead366af71c32c"></a><!-- doxytag: member="xbee_const::XBEE_RX" ref="gac2b1262a3a1eb4a9f7ead366af71c32c" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__xbee__const.html#gac2b1262a3a1eb4a9f7ead366af71c32c">XBEE_RX</a>&nbsp;&nbsp;&nbsp;0x81</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A packet received from another XBee. <br/></td></tr>
+<tr><td colspan="2"><h2>xbee frame types</h2></td></tr>
+<tr><td colspan="2"><p><a class="anchor" id="amgrp1ac6183ed989d02124dd9e6c432cc711"></a> </p>
+<br/><br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga72aa42b35714e06ac26df31b06a8bf39"></a><!-- doxytag: member="xbee_const::XBEE_FRAME_START" ref="ga72aa42b35714e06ac26df31b06a8bf39" args="" -->
 #define&nbsp;</td><td class="memItemRight" valign="bottom"><b>XBEE_FRAME_START</b>&nbsp;&nbsp;&nbsp;0x7E</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="gbe7468473089e3cdd2ed85cac2244d49"></a><!-- doxytag: member="xbee_const::XBEE_GET_PACKET_TIMEOUT" ref="gbe7468473089e3cdd2ed85cac2244d49" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><b>XBEE_GET_PACKET_TIMEOUT</b>&nbsp;&nbsp;&nbsp;1000</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ge0fc9d7b1078703227c91e1352b708c5"></a><!-- doxytag: member="xbee_const::XBEE_FRAME_STATUS" ref="ge0fc9d7b1078703227c91e1352b708c5" args="" -->
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gae0fc9d7b1078703227c91e1352b708c5"></a><!-- doxytag: member="xbee_const::XBEE_FRAME_STATUS" ref="gae0fc9d7b1078703227c91e1352b708c5" args="" -->
 #define&nbsp;</td><td class="memItemRight" valign="bottom"><b>XBEE_FRAME_STATUS</b>&nbsp;&nbsp;&nbsp;0x8A</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g106780ab66c38464e90af25ae3cc73de"></a><!-- doxytag: member="xbee_const::XBEE_FRAME_AT_COMMAND" ref="g106780ab66c38464e90af25ae3cc73de" args="" -->
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga106780ab66c38464e90af25ae3cc73de"></a><!-- doxytag: member="xbee_const::XBEE_FRAME_AT_COMMAND" ref="ga106780ab66c38464e90af25ae3cc73de" args="" -->
 #define&nbsp;</td><td class="memItemRight" valign="bottom"><b>XBEE_FRAME_AT_COMMAND</b>&nbsp;&nbsp;&nbsp;0x08</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="gac9e8cc2d9fdda49b77aed7d9380bfde"></a><!-- doxytag: member="xbee_const::XBEE_FRAME_AT_COMMAND_RESPONSE" ref="gac9e8cc2d9fdda49b77aed7d9380bfde" args="" -->
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaac9e8cc2d9fdda49b77aed7d9380bfde"></a><!-- doxytag: member="xbee_const::XBEE_FRAME_AT_COMMAND_RESPONSE" ref="gaac9e8cc2d9fdda49b77aed7d9380bfde" args="" -->
 #define&nbsp;</td><td class="memItemRight" valign="bottom"><b>XBEE_FRAME_AT_COMMAND_RESPONSE</b>&nbsp;&nbsp;&nbsp;0x88</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g31af21123fe9b33803cdf96626776d32"></a><!-- doxytag: member="xbee_const::XBEE_FRAME_TX_REQUEST_64" ref="g31af21123fe9b33803cdf96626776d32" args="" -->
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga31af21123fe9b33803cdf96626776d32"></a><!-- doxytag: member="xbee_const::XBEE_FRAME_TX_REQUEST_64" ref="ga31af21123fe9b33803cdf96626776d32" args="" -->
 #define&nbsp;</td><td class="memItemRight" valign="bottom"><b>XBEE_FRAME_TX_REQUEST_64</b>&nbsp;&nbsp;&nbsp;0x00</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g30aa14f9ad880c0bdcd15d7b6dfe4e84"></a><!-- doxytag: member="xbee_const::XBEE_FRAME_TX_REQUEST_16" ref="g30aa14f9ad880c0bdcd15d7b6dfe4e84" args="" -->
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga30aa14f9ad880c0bdcd15d7b6dfe4e84"></a><!-- doxytag: member="xbee_const::XBEE_FRAME_TX_REQUEST_16" ref="ga30aa14f9ad880c0bdcd15d7b6dfe4e84" args="" -->
 #define&nbsp;</td><td class="memItemRight" valign="bottom"><b>XBEE_FRAME_TX_REQUEST_16</b>&nbsp;&nbsp;&nbsp;0x01</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g301ee4ce1fc94e5c6ccd160a0bfa83a7"></a><!-- doxytag: member="xbee_const::XBEE_FRAME_TX_STATUS" ref="g301ee4ce1fc94e5c6ccd160a0bfa83a7" args="" -->
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga301ee4ce1fc94e5c6ccd160a0bfa83a7"></a><!-- doxytag: member="xbee_const::XBEE_FRAME_TX_STATUS" ref="ga301ee4ce1fc94e5c6ccd160a0bfa83a7" args="" -->
 #define&nbsp;</td><td class="memItemRight" valign="bottom"><b>XBEE_FRAME_TX_STATUS</b>&nbsp;&nbsp;&nbsp;XBEE_TX_STATUS</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="gba621d0a00f41acc7e059b5abf4802ad"></a><!-- doxytag: member="xbee_const::XBEE_FRAME_RX_64" ref="gba621d0a00f41acc7e059b5abf4802ad" args="" -->
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaba621d0a00f41acc7e059b5abf4802ad"></a><!-- doxytag: member="xbee_const::XBEE_FRAME_RX_64" ref="gaba621d0a00f41acc7e059b5abf4802ad" args="" -->
 #define&nbsp;</td><td class="memItemRight" valign="bottom"><b>XBEE_FRAME_RX_64</b>&nbsp;&nbsp;&nbsp;0x80</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g5b80e57bcad9ccaa20022e8d4968ec66"></a><!-- doxytag: member="xbee_const::XBEE_FRAME_RX_16" ref="g5b80e57bcad9ccaa20022e8d4968ec66" args="" -->
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga5b80e57bcad9ccaa20022e8d4968ec66"></a><!-- doxytag: member="xbee_const::XBEE_FRAME_RX_16" ref="ga5b80e57bcad9ccaa20022e8d4968ec66" args="" -->
 #define&nbsp;</td><td class="memItemRight" valign="bottom"><b>XBEE_FRAME_RX_16</b>&nbsp;&nbsp;&nbsp;XBEE_RX</td></tr>
-
 </table>
+<hr/><a name="_details"></a><h2>Detailed Description</h2>
+<p>These are constants used for the xbee module. </p>
 </div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Tue Nov 24 12:45:55 2009 for Colony by&nbsp;
+<hr class="footer"/><address style="text-align: right;"><small>Generated on Thu May 6 13:17:00 2010 for libwireless by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.8 </small></address>
+<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.3 </small></address>
 </body>
 </html>