Index: wireless__receive_8c.html
===================================================================
--- wireless__receive_8c.html	(revision 1822)
+++ wireless__receive_8c.html	(revision 1823)
@@ -1,15 +1,19 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
-<title>Colony: wireless_receive.c File Reference</title>
-<link href="tabs.css" rel="stylesheet" type="text/css">
-<link href="doxygen.css" rel="stylesheet" type="text/css">
-</head><body>
-<!-- Generated by Doxygen 1.5.8 -->
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml">
+<head>
+<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
+<title>libwireless: wireless_receive.c File Reference</title>
+<link href="tabs.css" rel="stylesheet" type="text/css"/>
+<link href="doxygen.css" rel="stylesheet" type="text/css"/>
+</head>
+<body>
+<!-- Generated by Doxygen 1.6.3 -->
 <div class="navigation" id="top">
   <div class="tabs">
     <ul>
       <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
       <li><a href="modules.html"><span>Modules</span></a></li>
+      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
       <li class="current"><a href="files.html"><span>Files</span></a></li>
     </ul>
   </div>
@@ -21,35 +25,71 @@
   </div>
 </div>
 <div class="contents">
-<h1>wireless_receive.c File Reference</h1>Wireless library receive functions.  
-<a href="#_details">More...</a>
-<p>
-<code>#include &quot;<a class="el" href="wl__defs_8h.html">wl_defs.h</a>&quot;</code><br>
-<code>#include &quot;<a class="el" href="wireless_8h.html">wireless.h</a>&quot;</code><br>
+<h1>wireless_receive.c File Reference</h1>
+<p>Wireless library receive functions.  
+<a href="#_details">More...</a></p>
+<code>#include &lt;string.h&gt;</code><br/>
+<code>#include &quot;<a class="el" href="wl__defs_8h_source.html">wl_defs.h</a>&quot;</code><br/>
+<code>#include &quot;<a class="el" href="wireless_8h_source.html">wireless.h</a>&quot;</code><br/>
+<code>#include &quot;<a class="el" href="xbee_8h_source.html">xbee.h</a>&quot;</code><br/>
 <table border="0" cellpadding="0" cellspacing="0">
-<tr><td></td></tr>
-<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int8_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wireless.html#ga5a965e3443e4b2b60243225c50ecca7">wl_get</a> (char *data, uint8_t length)</td></tr>
+<tr><td colspan="2"><h2>Functions</h2></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga3aa01c87cec1f5836297de808c82a405"></a><!-- doxytag: member="wireless_receive.c::xbee_basic_buf_get" ref="ga3aa01c87cec1f5836297de808c82a405" args="(uint8_t *ptr)" -->
+uint8_t&nbsp;</td><td class="memItemRight" valign="bottom"><b>xbee_basic_buf_get</b> (uint8_t *ptr)</td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gac4c5f6ba46371313200945e6456a9942"></a><!-- doxytag: member="wireless_receive.c::xbee_other_buf_get" ref="gac4c5f6ba46371313200945e6456a9942" args="(uint8_t *ptr)" -->
+uint8_t&nbsp;</td><td class="memItemRight" valign="bottom"><b>xbee_other_buf_get</b> (uint8_t *ptr)</td></tr>
+<tr><td class="memItemLeft" align="right" valign="top">int8_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wireless.html#gaa5a965e3443e4b2b60243225c50ecca7">wl_get</a> (char *data, uint8_t length)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The main receive function. Dispatches packets for registered handlers and returns next basic packet if available.  <a href="group__wireless.html#gaa5a965e3443e4b2b60243225c50ecca7"></a><br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top">int8_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wireless.html#gae2509e2b6bc61faa26d87b1d87881817">wl_get_basic</a> (char *data, uint8_t length)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the next basic packet if available.  <a href="group__wireless.html#gae2509e2b6bc61faa26d87b1d87881817"></a><br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gae91c1e1940dfbbd063fdcfb86049c64a"></a><!-- doxytag: member="wireless_receive.c::wl_dispatch" ref="gae91c1e1940dfbbd063fdcfb86049c64a" args="(void)" -->
+int8_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wireless.html#gae91c1e1940dfbbd063fdcfb86049c64a">wl_dispatch</a> (void)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Dispatches packets for registered handlers. <br/></td></tr>
+<tr><td colspan="2"><h2>Variables</h2></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top">uint8_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="wireless__receive_8c.html#a94652d65b245bd874ff76bac4e0a2b23">xbee_basic_buf</a> [PACKET_BUFFER_SIZE]</td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a44888b88606af1d1c22c73f65d880313"></a><!-- doxytag: member="wireless_receive.c::xbee_other_buf" ref="a44888b88606af1d1c22c73f65d880313" args="[PACKET_BUFFER_SIZE]" -->
+uint8_t&nbsp;</td><td class="memItemRight" valign="bottom"><b>xbee_other_buf</b> [PACKET_BUFFER_SIZE]</td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4162f367889b477c35cdefdd72d67c1b"></a><!-- doxytag: member="wireless_receive.c::basic_buf_first" ref="a4162f367889b477c35cdefdd72d67c1b" args="" -->
+uint8_t&nbsp;</td><td class="memItemRight" valign="bottom"><b>basic_buf_first</b></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a645b109e07dad69b8314f773e0978399"></a><!-- doxytag: member="wireless_receive.c::basic_buf_last" ref="a645b109e07dad69b8314f773e0978399" args="" -->
+uint8_t&nbsp;</td><td class="memItemRight" valign="bottom"><b>basic_buf_last</b></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab75ab53d4df1cb0af09e6d2e4e7cd75b"></a><!-- doxytag: member="wireless_receive.c::other_buf_first" ref="ab75ab53d4df1cb0af09e6d2e4e7cd75b" args="" -->
+uint8_t&nbsp;</td><td class="memItemRight" valign="bottom"><b>other_buf_first</b></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6bf335c9fa259e2e3531ea37370d3801"></a><!-- doxytag: member="wireless_receive.c::other_buf_last" ref="a6bf335c9fa259e2e3531ea37370d3801" args="" -->
+uint8_t&nbsp;</td><td class="memItemRight" valign="bottom"><b>other_buf_last</b></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5d7d108b90e0ae78984f920ec3b47366"></a><!-- doxytag: member="wireless_receive.c::wl_packet_handlers" ref="a5d7d108b90e0ae78984f920ec3b47366" args="[MAX_PACKET_GROUPS]" -->
+<a class="el" href="structPacketGroupHandler.html">PacketGroupHandler</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>wl_packet_handlers</b> [MAX_PACKET_GROUPS]</td></tr>
+</table>
+<hr/><a name="_details"></a><h2>Detailed Description</h2>
+<p>Wireless library receive functions. </p>
+<p>Copyright (c) 2009 Colony Project</p>
+<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:</p>
+<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.</p>
+<p>THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
+<p>Implementation of high level wireless communication. This is the receive functions portion of the library.</p>
+<dl class="author"><dt><b>Author:</b></dt><dd>Colony Project, CMU Robotics Club </dd></dl>
+<hr/><h2>Variable Documentation</h2>
+<a class="anchor" id="a94652d65b245bd874ff76bac4e0a2b23"></a><!-- doxytag: member="wireless_receive.c::xbee_basic_buf" ref="a94652d65b245bd874ff76bac4e0a2b23" args="[PACKET_BUFFER_SIZE]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">uint8_t <a class="el" href="xbee_8c.html#a94652d65b245bd874ff76bac4e0a2b23">xbee_basic_buf</a>[PACKET_BUFFER_SIZE]</td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+<p>Definition for wireless library receive packet structure</p>
+<p>Basic Buffer Packet: byte 1: length of source+data bytes 2-3: source bytes 4-n: data</p>
+<p>Other Buffer Packet: byte 1: length of group+source+data byte 2: group number bytes 3-4: source bytes 5-n: data </p>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The main receive function. Dispatches packets for registered handlers and returns next basic packet if available.  <a href="group__wireless.html#ga5a965e3443e4b2b60243225c50ecca7"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int8_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wireless.html#ge2509e2b6bc61faa26d87b1d87881817">wl_get_basic</a> (char *data, uint8_t length)</td></tr>
+<p>Referenced by <a class="el" href="wireless__receive_8c_source.html#l00100">wl_get_basic()</a>, and <a class="el" href="xbee_8c_source.html#l00729">xbee_init()</a>.</p>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the next basic packet if available.  <a href="group__wireless.html#ge2509e2b6bc61faa26d87b1d87881817"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ge91c1e1940dfbbd063fdcfb86049c64a"></a><!-- doxytag: member="wireless_receive.c::wl_dispatch" ref="ge91c1e1940dfbbd063fdcfb86049c64a" args="(void)" -->
-int8_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wireless.html#ge91c1e1940dfbbd063fdcfb86049c64a">wl_dispatch</a> (void)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Dispatches packets for registered handlers. <br></td></tr>
-</table>
-<hr><a name="_details"></a><h2>Detailed Description</h2>
-Copyright (c) 2009 Colony Project<p>
-Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:<p>
-The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.<p>
-THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.<p>
-Implementation of high level wireless communication. This is the receive functions portion of the library.<p>
-<dl class="author" compact><dt><b>Author:</b></dt><dd>Colony Project, CMU Robotics Club </dd></dl>
 </div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Tue Nov 24 12:45:55 2009 for Colony by&nbsp;
+</div>
+</div>
+<hr class="footer"/><address style="text-align: right;"><small>Generated on Thu May 6 13:17:00 2010 for libwireless by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.8 </small></address>
+<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.3 </small></address>
 </body>
 </html>