Index: wl__defs_8h.html
===================================================================
--- wl__defs_8h.html	(revision 1822)
+++ wl__defs_8h.html	(revision 1823)
@@ -1,15 +1,19 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
-<title>Colony: wl_defs.h File Reference</title>
-<link href="tabs.css" rel="stylesheet" type="text/css">
-<link href="doxygen.css" rel="stylesheet" type="text/css">
-</head><body>
-<!-- Generated by Doxygen 1.5.8 -->
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml">
+<head>
+<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
+<title>libwireless: wl_defs.h File Reference</title>
+<link href="tabs.css" rel="stylesheet" type="text/css"/>
+<link href="doxygen.css" rel="stylesheet" type="text/css"/>
+</head>
+<body>
+<!-- Generated by Doxygen 1.6.3 -->
 <div class="navigation" id="top">
   <div class="tabs">
     <ul>
       <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
       <li><a href="modules.html"><span>Modules</span></a></li>
+      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
       <li class="current"><a href="files.html"><span>Files</span></a></li>
     </ul>
   </div>
@@ -21,81 +25,96 @@
   </div>
 </div>
 <div class="contents">
-<h1>wl_defs.h File Reference</h1>Definitions for Wireless.  
-<a href="#_details">More...</a>
-<p>
-<code>#include &lt;stdint.h&gt;</code><br>
+<h1>wl_defs.h File Reference</h1>
+<p>Definitions for Wireless.  
+<a href="#_details">More...</a></p>
+<code>#include &lt;stdint.h&gt;</code><br/>
+
+<p><a href="wl__defs_8h_source.html">Go to the source code of this file.</a></p>
 <table border="0" cellpadding="0" cellspacing="0">
-<tr><td></td></tr>
-<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g2b8a799ce85bb21788e58e1c23c16fc0"></a><!-- doxytag: member="wl_defs.h::WL_SUCCESS" ref="g2b8a799ce85bb21788e58e1c23c16fc0" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#g2b8a799ce85bb21788e58e1c23c16fc0">WL_SUCCESS</a>&nbsp;&nbsp;&nbsp;INT8_C(0)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Success. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g798466231ef137f248b55dbfbce36fd7"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_INIT_FAILED" ref="g798466231ef137f248b55dbfbce36fd7" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#g798466231ef137f248b55dbfbce36fd7">WL_ERROR_INIT_FAILED</a>&nbsp;&nbsp;&nbsp;INT8_C(-1)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error code for init failure. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g63e64a790913362ecf505e1a7e8347b8"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_INIT_ALREADY_INITD" ref="g63e64a790913362ecf505e1a7e8347b8" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#g63e64a790913362ecf505e1a7e8347b8">WL_ERROR_INIT_ALREADY_INITD</a>&nbsp;&nbsp;&nbsp;INT8_C(-2)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error code for duplicate init calls. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g099f03f9edae294ce4989433f73c141e"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_LIBRARY_NOT_INITD" ref="g099f03f9edae294ce4989433f73c141e" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#g099f03f9edae294ce4989433f73c141e">WL_ERROR_LIBRARY_NOT_INITD</a>&nbsp;&nbsp;&nbsp;INT8_C(-3)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error code for not calling init. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g54de37a8427bf7372cfefa925cd0acf6"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_TERMINATION_FAILED" ref="g54de37a8427bf7372cfefa925cd0acf6" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#g54de37a8427bf7372cfefa925cd0acf6">WL_ERROR_TERMINATION_FAILED</a>&nbsp;&nbsp;&nbsp;INT8_C(-4)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error code for failed termination. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g11477a5a024fd6898e4449bf08761207"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_FAILED_REGISTRATION" ref="g11477a5a024fd6898e4449bf08761207" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#g11477a5a024fd6898e4449bf08761207">WL_ERROR_FAILED_REGISTRATION</a>&nbsp;&nbsp;&nbsp;INT8_C(-5)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error code for failed packet group registration. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g43f851eae7eed2576351d336001c21d2"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_ARGUMENT" ref="g43f851eae7eed2576351d336001c21d2" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#g43f851eae7eed2576351d336001c21d2">WL_ERROR_ARGUMENT</a>&nbsp;&nbsp;&nbsp;INT8_C(-6)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error in arguments. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g2a775d59e55e9435505b4a908c522a0a"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_SEND" ref="g2a775d59e55e9435505b4a908c522a0a" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#g2a775d59e55e9435505b4a908c522a0a">WL_ERROR_SEND</a>&nbsp;&nbsp;&nbsp;INT8_C(-10)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error code for send failure. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g4bffaed18853133c76af57b89771b234"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_BAD_GROUP" ref="g4bffaed18853133c76af57b89771b234" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#g4bffaed18853133c76af57b89771b234">WL_ERROR_BAD_GROUP</a>&nbsp;&nbsp;&nbsp;INT8_C(-11)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error code for a bad group number. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g76d08a0e32732a63dc93d2cdf95c8fd0"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_SCOPE" ref="g76d08a0e32732a63dc93d2cdf95c8fd0" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#g76d08a0e32732a63dc93d2cdf95c8fd0">WL_ERROR_SCOPE</a>&nbsp;&nbsp;&nbsp;INIT8_C(-12)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error code for a bad scope. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g9c528907279e6ace3aae7a7b19ad7687"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_ADDRESS" ref="g9c528907279e6ace3aae7a7b19ad7687" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#g9c528907279e6ace3aae7a7b19ad7687">WL_ERROR_ADDRESS</a>&nbsp;&nbsp;&nbsp;INIT8_C(-13)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error code for a bad robot address. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g33881dd2ec8ad0c2f67e40491a2f7c1a"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_MODE" ref="g33881dd2ec8ad0c2f67e40491a2f7c1a" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#g33881dd2ec8ad0c2f67e40491a2f7c1a">WL_ERROR_MODE</a>&nbsp;&nbsp;&nbsp;INIT8_C(-14)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error code for a bad mode. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="eaadbf5f5646a5b3ec10510b93ce2968"></a><!-- doxytag: member="wl_defs.h::WL_DEBUG_PRINT" ref="eaadbf5f5646a5b3ec10510b93ce2968" args="(s)" -->
+<tr><td colspan="2"><h2>Defines</h2></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9bdbfcff81e33bd51a83eecd01aec257"></a><!-- doxytag: member="wl_defs.h::ROBOT" ref="a9bdbfcff81e33bd51a83eecd01aec257" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><b>ROBOT</b></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3ed8a396c873e705d5c8845ca793a8e9"></a><!-- doxytag: member="wl_defs.h::WL_DEBUG" ref="a3ed8a396c873e705d5c8845ca793a8e9" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><b>WL_DEBUG</b></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga2b8a799ce85bb21788e58e1c23c16fc0"></a><!-- doxytag: member="wl_defs.h::WL_SUCCESS" ref="ga2b8a799ce85bb21788e58e1c23c16fc0" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#ga2b8a799ce85bb21788e58e1c23c16fc0">WL_SUCCESS</a>&nbsp;&nbsp;&nbsp;INT8_C(0)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Success. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga798466231ef137f248b55dbfbce36fd7"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_INIT_FAILED" ref="ga798466231ef137f248b55dbfbce36fd7" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#ga798466231ef137f248b55dbfbce36fd7">WL_ERROR_INIT_FAILED</a>&nbsp;&nbsp;&nbsp;INT8_C(-1)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error code for init failure. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga63e64a790913362ecf505e1a7e8347b8"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_INIT_ALREADY_INITD" ref="ga63e64a790913362ecf505e1a7e8347b8" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#ga63e64a790913362ecf505e1a7e8347b8">WL_ERROR_INIT_ALREADY_INITD</a>&nbsp;&nbsp;&nbsp;INT8_C(-2)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error code for duplicate init calls. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga099f03f9edae294ce4989433f73c141e"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_LIBRARY_NOT_INITD" ref="ga099f03f9edae294ce4989433f73c141e" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#ga099f03f9edae294ce4989433f73c141e">WL_ERROR_LIBRARY_NOT_INITD</a>&nbsp;&nbsp;&nbsp;INT8_C(-3)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error code for not calling init. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga54de37a8427bf7372cfefa925cd0acf6"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_TERMINATION_FAILED" ref="ga54de37a8427bf7372cfefa925cd0acf6" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#ga54de37a8427bf7372cfefa925cd0acf6">WL_ERROR_TERMINATION_FAILED</a>&nbsp;&nbsp;&nbsp;INT8_C(-4)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error code for failed termination. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga11477a5a024fd6898e4449bf08761207"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_FAILED_REGISTRATION" ref="ga11477a5a024fd6898e4449bf08761207" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#ga11477a5a024fd6898e4449bf08761207">WL_ERROR_FAILED_REGISTRATION</a>&nbsp;&nbsp;&nbsp;INT8_C(-5)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error code for failed packet group registration. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga2b221412880d805da1f9eb735ce7869f"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_FAILED_UNREGISTRATION" ref="ga2b221412880d805da1f9eb735ce7869f" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#ga2b221412880d805da1f9eb735ce7869f">WL_ERROR_FAILED_UNREGISTRATION</a>&nbsp;&nbsp;&nbsp;INT8_C(-6)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error code for failed packet group registration. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga43f851eae7eed2576351d336001c21d2"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_ARGUMENT" ref="ga43f851eae7eed2576351d336001c21d2" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#ga43f851eae7eed2576351d336001c21d2">WL_ERROR_ARGUMENT</a>&nbsp;&nbsp;&nbsp;INT8_C(-7)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error in arguments. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga2a775d59e55e9435505b4a908c522a0a"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_SEND" ref="ga2a775d59e55e9435505b4a908c522a0a" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#ga2a775d59e55e9435505b4a908c522a0a">WL_ERROR_SEND</a>&nbsp;&nbsp;&nbsp;INT8_C(-10)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error code for send failure. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga4bffaed18853133c76af57b89771b234"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_BAD_GROUP" ref="ga4bffaed18853133c76af57b89771b234" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#ga4bffaed18853133c76af57b89771b234">WL_ERROR_BAD_GROUP</a>&nbsp;&nbsp;&nbsp;INT8_C(-11)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error code for a bad group number. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga76d08a0e32732a63dc93d2cdf95c8fd0"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_SCOPE" ref="ga76d08a0e32732a63dc93d2cdf95c8fd0" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#ga76d08a0e32732a63dc93d2cdf95c8fd0">WL_ERROR_SCOPE</a>&nbsp;&nbsp;&nbsp;INT8_C(-12)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error code for a bad scope. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga9c528907279e6ace3aae7a7b19ad7687"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_ADDRESS" ref="ga9c528907279e6ace3aae7a7b19ad7687" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#ga9c528907279e6ace3aae7a7b19ad7687">WL_ERROR_ADDRESS</a>&nbsp;&nbsp;&nbsp;INT8_C(-13)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error code for a bad robot address. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga33881dd2ec8ad0c2f67e40491a2f7c1a"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_MODE" ref="ga33881dd2ec8ad0c2f67e40491a2f7c1a" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#ga33881dd2ec8ad0c2f67e40491a2f7c1a">WL_ERROR_MODE</a>&nbsp;&nbsp;&nbsp;INT8_C(-14)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error code for a bad mode. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gacad84a598557eaf3ae400f7fdb4cf6c0"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_TOO_SMALL" ref="gacad84a598557eaf3ae400f7fdb4cf6c0" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#gacad84a598557eaf3ae400f7fdb4cf6c0">WL_ERROR_TOO_SMALL</a>&nbsp;&nbsp;&nbsp;INT8_C(-15)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error code for received paacket destination too small for received packet. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga39b25b343987ddbabbf378525ed17e8f"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_SENDING_BUFFER_FULL" ref="ga39b25b343987ddbabbf378525ed17e8f" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#ga39b25b343987ddbabbf378525ed17e8f">WL_ERROR_SENDING_BUFFER_FULL</a>&nbsp;&nbsp;&nbsp;INT8_C(-16)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error code for sending buffer full (the packet was sent, but no retries will be made). <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga95320a2338e465077c708a7b50b20c9a"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_XBEE_COMMAND" ref="ga95320a2338e465077c708a7b50b20c9a" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#ga95320a2338e465077c708a7b50b20c9a">WL_ERROR_XBEE_COMMAND</a>&nbsp;&nbsp;&nbsp;INT8_C(-17)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error code for failed xbee command. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga029f22a1c6b7308a7a9db2ee7490a4f0"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_XBEE_COMMAND_16BIT" ref="ga029f22a1c6b7308a7a9db2ee7490a4f0" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#ga029f22a1c6b7308a7a9db2ee7490a4f0">WL_ERROR_XBEE_COMMAND_16BIT</a>&nbsp;&nbsp;&nbsp;0xFEFE</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error code for failed 16bit xbee command. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga35522d85bcb3ce7e1f0649ed8880a47a"></a><!-- doxytag: member="wl_defs.h::WL_ERROR_BAUD" ref="ga35522d85bcb3ce7e1f0649ed8880a47a" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__wl__error.html#ga35522d85bcb3ce7e1f0649ed8880a47a">WL_ERROR_BAUD</a>&nbsp;&nbsp;&nbsp;INT8_C(-18)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Error code for bad baud rate. <br/></td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gab30af815d6e9494361629440f14e3716"></a><!-- doxytag: member="wl_defs.h::PACKET_BUFFER_SIZE" ref="gab30af815d6e9494361629440f14e3716" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><b>PACKET_BUFFER_SIZE</b>&nbsp;&nbsp;&nbsp;250</td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeaadbf5f5646a5b3ec10510b93ce2968"></a><!-- doxytag: member="wl_defs.h::WL_DEBUG_PRINT" ref="aeaadbf5f5646a5b3ec10510b93ce2968" args="(s)" -->
 #define&nbsp;</td><td class="memItemRight" valign="bottom"><b>WL_DEBUG_PRINT</b>(s)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="29bb4a52f41ee104dbc7dc1db4d14695"></a><!-- doxytag: member="wl_defs.h::WL_DEBUG_PRINT_CHAR" ref="29bb4a52f41ee104dbc7dc1db4d14695" args="(c)" -->
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a43123ca6548aef1e17dc7cb1b215a6f5"></a><!-- doxytag: member="wl_defs.h::WL_DEBUG_PRINT_P" ref="a43123ca6548aef1e17dc7cb1b215a6f5" args="(s)" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><b>WL_DEBUG_PRINT_P</b>(s)</td></tr>
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a29bb4a52f41ee104dbc7dc1db4d14695"></a><!-- doxytag: member="wl_defs.h::WL_DEBUG_PRINT_CHAR" ref="a29bb4a52f41ee104dbc7dc1db4d14695" args="(c)" -->
 #define&nbsp;</td><td class="memItemRight" valign="bottom"><b>WL_DEBUG_PRINT_CHAR</b>(c)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5376a3f9ed20dca1ca62ab0082b17886"></a><!-- doxytag: member="wl_defs.h::WL_DEBUG_PRINT_INT" ref="5376a3f9ed20dca1ca62ab0082b17886" args="(i)" -->
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5376a3f9ed20dca1ca62ab0082b17886"></a><!-- doxytag: member="wl_defs.h::WL_DEBUG_PRINT_INT" ref="a5376a3f9ed20dca1ca62ab0082b17886" args="(i)" -->
 #define&nbsp;</td><td class="memItemRight" valign="bottom"><b>WL_DEBUG_PRINT_INT</b>(i)</td></tr>
-
+<tr><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a524777fa6c6079efd00632c2fc576edf"></a><!-- doxytag: member="wl_defs.h::WL_DEBUG_PRINT_HEX" ref="a524777fa6c6079efd00632c2fc576edf" args="(i)" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><b>WL_DEBUG_PRINT_HEX</b>(i)</td></tr>
 </table>
-<hr><a name="_details"></a><h2>Detailed Description</h2>
-Copyright (c) 2009 Colony Project<p>
-Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:<p>
-The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.<p>
-THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.<p>
-Contains definitions for wireless, debugging information, etc.<p>
-<dl class="author" compact><dt><b>Author:</b></dt><dd>Colony Project, CMU Robotics Club </dd></dl>
+<hr/><a name="_details"></a><h2>Detailed Description</h2>
+<p>Definitions for Wireless. </p>
+<p>Copyright (c) 2009 Colony Project</p>
+<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:</p>
+<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.</p>
+<p>THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
+<p>Contains definitions for wireless, debugging information, etc.</p>
+<dl class="author"><dt><b>Author:</b></dt><dd>Colony Project, CMU Robotics Club </dd></dl>
 </div>
-<hr size="1"><address style="text-align: right;"><small>Generated on Tue Nov 24 12:45:55 2009 for Colony by&nbsp;
+<hr class="footer"/><address style="text-align: right;"><small>Generated on Thu May 6 13:17:00 2010 for libwireless by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.8 </small></address>
+<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.3 </small></address>
 </body>
 </html>